io.etcd.jetcd.api

## Interface PutResponseOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  PutResponse, PutResponse.Builder

    public interface PutResponseOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`ResponseHeader` `getHeader()` `.etcdserverpb.ResponseHeader header = 1;`
`ResponseHeaderOrBuilder` `getHeaderOrBuilder()` `.etcdserverpb.ResponseHeader header = 1;`
`KeyValue` `getPrevKv()` if prev_kv is set in the request, the previous key-value pair will be returned.
`KeyValueOrBuilder` `getPrevKvOrBuilder()` if prev_kv is set in the request, the previous key-value pair will be returned.
`boolean` `hasHeader()` `.etcdserverpb.ResponseHeader header = 1;`
`boolean` `hasPrevKv()` if prev_kv is set in the request, the previous key-value pair will be returned.

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### hasHeader

    boolean hasHeader()

`.etcdserverpb.ResponseHeader header = 1;`

Returns:
  Whether the header field is set.

#### getHeader

    ResponseHeader getHeader()

`.etcdserverpb.ResponseHeader header = 1;`

Returns:
  The header.

#### getHeaderOrBuilder

    ResponseHeaderOrBuilder getHeaderOrBuilder()

`.etcdserverpb.ResponseHeader header = 1;`

#### hasPrevKv

    boolean hasPrevKv()

     if prev_kv is set in the request, the previous key-value pair will be returned.

`.mvccpb.KeyValue prev_kv = 2;`

Returns:
  Whether the prevKv field is set.

#### getPrevKv

    KeyValue getPrevKv()

     if prev_kv is set in the request, the previous key-value pair will be returned.

`.mvccpb.KeyValue prev_kv = 2;`

Returns:
  The prevKv.

#### getPrevKvOrBuilder

    KeyValueOrBuilder getPrevKvOrBuilder()

     if prev_kv is set in the request, the previous key-value pair will be returned.

`.mvccpb.KeyValue prev_kv = 2;`